DEBUGFS_REMOVE(9)

NAME
debugfs_remove - removes a file or directory from the debugfs filesystem

SYNOPSIS

void debugfs_remove (struct dentry * dentry);

ARGUMENTS

dentry
    a pointer to a the dentry of the file or directory to be removed.

DESCRIPTION

This function removes a file or directory in debugfs that was previously created with a call to another debugfs function (like debufs_create_file or variants thereof.)

This function is required to be called in order for the file to be removed, no automatic cleanup of files will happen when a module is removed, you are responsible here.

DESCRIPTION

This function removes a file or directory in debugfs that was previously created with a call to another debugfs function (like debufs_create_file or variants thereof.)

This function is required to be called in order for the file to be removed, no automatic cleanup of files will happen when a module is removed, you are responsible here.